using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Client
{
	/// <summary>
	/// Startup code for the election server. The server is in two 
	/// "parts": the GUI part for handling user requests 
	/// and the network part for communication with the server. You can 
	/// configure the server's address and its port number in config.xml.
	/// The default values are Port = 8000 and localhost for the server
	/// </summary>
	public class ClientMain 
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public ClientMain()
		{}
		
		[STAThread]
		static void Main() 
		{
			try
			{
				Client client;

				//creates a new client and configures to talk to the server
				client = new Client("config.xml");

				//This objects instantiates Windows Forms
				ClientDisplay manager = new ClientDisplay(client);			
			}
			catch(ClientException e)
			{
				MessageBox.Show(e.Message + ": " + e.StackTrace, "Fatal Voting Error");
			}
		}

		

	}
}
